Hospitalizatin form for all Children to be Added
01/12/2021 00:31 - Sara Schenkel

Status: Closed Start date: 01/12/2021
Priority: Immediate Due date: 15/03/2022
Assignee: Nimrod Munatsi % Done: 0%
Category: Estimated time: 2.00 hours
Target version: Spent time: 1.00 hour
Description

Please add a the Hospitalization CRF for all children to be completed at the enroliment visits. For participants who already completed
their enrolliment visit, this form is required. We can discuss in our meetings on Thursday
See the EDC Spec form document in dropbox and the screenshot attached.

Updates on hospitalization must be asked at the quarterly calls as well -- we can add these questions to the medical history follow-up
CRF.

History

#1 - 02/12/2021 11:09 - Iltumeleng Mosweu
- Assignee changed from ltumeleng Mosweu to moffat motlhanka

#2 - 02/12/2021 14:36 - moffat motlhanka
- Due date set to 09/12/2021

#3 - 07/12/2021 15:52 - moffat motlhanka
- Status changed from New to In Progress

#4 - 08/12/2021 20:03 - Sara Schenkel
- File Hospitalization Quarterly Calls & Follow-up.png added
- Estimated time set to 1.00

In addition to adding the Hospitalization CRF for all cohorts (A, B, C and secondary aims), please also add the Hospitalization CRF to quarterly calls for all

participants. See attached the screenshot from the EDC. Please also see the Child CRF time point for reference of when the CRF is needed.

#5 - 13/12/2021 09:19 - moffat motlhanka
- Due date changed from 09/12/2021 to 14/12/2021

#6 - 14/12/2021 14:53 - Iltumeleng Mosweu
- Assignee changed from moffat motlhanka to Nimrod Munatsi

#7 - 14/12/2021 15:05 - Nimrod Munatsi
- Due date changed from 14/12/2021 to 15/12/2021

- Estimated time changed from 1.00 to 2.00

#8 - 13/01/2022 11:17 - Nimrod Munatsi
- Status changed from In Progress to Feedback

#9 - 13/01/2022 15:07 - ltumeleng Mosweu
- Due date changed from 15/12/2021 to 14/01/2022
#10 - 18/01/2022 08:44 - Nimrod Munatsi

- Status changed from Feedback to In Progress

#11 - 20/01/2022 08:11 - Nimrod Munatsi

- Status changed from In Progress to Resolved

#12 - 25/01/2022 12:26 - Martha Ngwaca

- Status changed from Resolved to Feedback

Tested,

1). Q.4 is not required when the answer is 'No' in 9.3

2). When the answer is 'other' in the inline table for reasons, 'if other specify' field is required (the validation says the field is not required), kindly break the
validation because it is required.

3). approximate date of admission is required if the answer is 'yes' in Q.3

kindly see the spec form.

#13 - 27/01/2022 14:25 - ltumeleng Mosweu

- Due date changed from 14/01/2022 to 28/01/2022
#14 - 08/02/2022 08:54 - Nimrod Munatsi

- Due date changed from 28/01/2022 to 08/02/2022

- Status changed from Feedback to In Progress

#15 - 15/02/2022 14:58 - Nimrod Munatsi
- Due date changed from 08/02/2022 to 17/02/2022

#16 - 22/02/2022 07:47 - Nimrod Munatsi
- Due date changed from 17/02/2022 to 22/02/2022

#17 - 24/02/2022 09:47 - Nimrod Munatsi

- Status changed from In Progress to Resolved

#18 - 02/03/2022 15:43 - Gosego Masasa

- File Screenshot 2022-03-02 at 15.39.34.png added

Tested with PID 0008-0-10, BELOW is the feedback;

1. Rename the CRF to Children/Adolescents "Hospitalisation history" at all enrolment visits(2000 visit)

2. At quarterly calls let the same CRF appear BUT now with the stem question added- has your child/adolescent been hospitalised since the last
FLOURISH visit, YES/NO.

3.We want the CRF at quarterly calls to behave the same way as immunisation hx at quarterly calls, if there are any previous hospitalisations which were
keyed at enrolment visit let them display in a table form at the top of the CRF like on the attached screenshot

N;B, ONCE ALL ABOVE IS FIXED THE CLINIC TEAM WOULD NOW TEST IF THE VALIDATION ARE WORKING FINE

#19 - 02/03/2022 15:45 - Gosego Masasa
- Status changed from Resolved to Feedback
#20 - 02/03/2022 16:08 - Nimrod Munatsi
- Due date changed from 22/02/2022 to 04/03/2022

#21 - 07/03/2022 07:53 - Nimrod Munatsi
- Due date changed from 04/03/2022 to 07/03/2022

#22 - 09/03/2022 19:25 - Nimrod Munatsi

- Status changed from Feedback to Resolved
#23 - 11/03/2022 12:10 - Martha Ngwaca

- Status changed from Resolved to Feedback

The above issues have been resolved.

At quarterly calls remove Q.4. (Has your infant/child/adolescent been hospitalized after birth?)

#24 - 14/03/2022 07:50 - Nimrod Munatsi

- Due date changed from 07/03/2022 to 14/03/2022

#25 - 15/03/2022 08:07 - Nimrod Munatsi
- Due date changed from 14/03/2022 to 15/03/2022

#26 - 15/03/2022 10:26 - Nimrod Munatsi

- Status changed from Feedback to Resolved

#27 - 15/03/2022 12:27 - Martha Ngwaca

- Status changed from Resolved to Feedback

All the above issues have been resolved. so we have been working on validations

1. Add validation, on the approximate date of hospitalization, it is required if there was history of hospitalization.
Kindly add another question below the approximate date of hospitalization that, 'Is the date estimated: Yes/ No'

2. if the answer is 'no’ in Q.3, the inline table is not required. Currently the CRF saves when the inline table is filled/ answered even when the answer is no in
Q.3.

The CRF throws a yellow page when trying to save at quarterly calls. The above validations should apply also in quarterly calls.

#28 - 17/03/2022 08:39 - Nimrod Munatsi

- Status changed from Feedback to Resolved

#29 - 18/03/2022 08:52 - Martha Ngwaca

- Status changed from Resolved to Closed

Tested and passed. The validations are working well.

Files

Child Hospitalization CRF.png 47.6 KB 30/11/2021 Sara Schenkel

24/04/2025 3/4



Hospitalization Quarterly Calls & Follow-up.png 52.1 KB 08/12/2021 Sara Schenkel
Screenshot 2022-03-02 at 15.39.34.png 616 KB 02/03/2022 Gosego Masasa
